#!/usr/bin/python
###########################################################################
# kdeutility - description                                                #
# ------------------------------                                          #
# begin     : Mon May 2 2005                                              #
# copyright : (C) 2005 by AUTHOR                                          #
# email     : your@email.com                                              #
#                                                                         #
###########################################################################
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
###########################################################################

import sys
from python_tqt.qt import *
from tdecore import *
from tdeui import *
import tdedesigner
from KDEUtilityDialogUI import *

description = "A KDE Utility"
version = "0.1";

class KDEUtilityDialog(KDEUtilityDialogUI):
    def __init__(self):
        KDEUtilityDialogUI.__init__(self,None,"TestApp")
    # Add other methods, slots and signals here.


options = [] # No command line options.

def main():
    global kapp,version,description,options

    aboutdata = TDEAboutData("kdeutility", "KdeUtility", version, description, \
        TDEAboutData.License_GPL, "(C) 2005 AUTHOR", None, None, "your@email.com")
    aboutdata.addAuthor("AUTHOR", None, "your@email.com")
    TDECmdLineArgs.init(sys.argv,aboutdata)
    #TDECmdLineArgs.addCmdLineOptions(options)
    kapp = TDEApplication()
    
    dialog = KDEUtilityDialog()
    kapp.setMainWidget(dialog)
    dialog.show()

    return kapp.exec_loop()
main()
